<?php
require'f_barnbuddy.php';
$titlu='Inventar Barn Buddy';
require'f_sus.php';
require'f_data.php';
echo$div[4].'Inventar Barn Buddy'.$div[5].$div[1].'Banii tai: <strong>'.number_format($barnbuddy[1]).'</strong> bani'.$div[0].$div[1].'Ai <strong>'.number_format($barnbuddy[4]).'</strong> vizite'.$div[0].$div[1].'<small>Te-ai înscris: '.data($barnbuddy[5]).'</small>'.$div[0];
$categorii=[1=>['/categorie/1-plante','Plante',0,'Plantează <a href="/planteaza-planta-barnbuddy'],2=>['/categorie/2-fertilizari','Fertilizări',1,'Utilizează <a href="/utilizeaza-fertilizare-barnbuddy'],3=>['/categorie/3-animale','Animale',3,'Hrănește <a href="/hraneste-animal-barnbuddy']];
if($cid!='')
{
if(!in_array($cid,array_keys($categorii)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie definită în script!'.$div[0];
require'f_jos.php';
}
echo$div[4].$categorii[$cid][1].'le tale:'.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`barnbuddy_plante`WHERE`tip`="'.$categorii[$cid][2].'"')->fetch_row()[0];
if($elemente>0)
{
$x2=$categorii[$cid][0];
require'f_paginare1.php';
$items=$conn->query('SELECT`pid`FROM`barnbuddy_plante`WHERE`de`="'.$de.'"&&`tip`="'.$categorii[$cid][2].'"ORDER BY`id`LIMIT '.$limit_start.','.$pe_pagina);
require'f_ramas.php';
while($item=$items->fetch_row())
{
$planta=$conn->query('SELECT`nume`,`timp`,`baniadunati`FROM`barnbuddy_magazin`WHERE`id`="'.$item[0].'"')->fetch_row();
echo$div[1].$categorii[$cid][3].'/id/'.$item[0].'-'.seo($planta[0]).'"><strong>'.htmlspecialchars($planta[0]).'</strong></a>';
if($cid==1)
echo' - '.($barnbuddy[6]<$_SERVER['REQUEST_TIME']?'în <strong>'.($barnbuddy[2]==1?($planta[1]/2):$planta[1]).'</strong> ore, și câștigi <strong>'.$planta[2].'</strong> bani':'peste <strong>'.ramas($barnbuddy[6]-$_SERVER['REQUEST_TIME']).'</strong>');
elseif($cid==2)
echo', și reduci timpul cu <strong>'.$planta[1].'</strong> ore';
elseif($cid==3)
echo', și câștigi <strong>'.number_format($planta[2]).'</strong> bani';
echo$div[0];
}
require'f_paginare2.php';
}
else
echo$div[7].'Nu ai '.mb_strtolower($categorii[$cid][1]).' cumpărate!<br />Le poți cumpăra de la magazin!'.$div[0];
}
else
{
$numar_categorii=count($categorii)+1;
for($i=1;$i<$numar_categorii;$i++)
{
echo$div[1].'<a href="/inventar-barnbuddy'.$categorii[$i][0].'">'.$categorii[$i][1].'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`barnbuddy_plante`WHERE`de`="'.$de.'"&&`tip`="'.$categorii[$i][2].'"')->fetch_row()[0]).'</strong>'.$div[0];
}
}
require'f_jos.php';